explain_ioctl_or_die(3)

NAME
explain_ioctl_or_die - control device and report errors
    "control device and report errors"

SYNOPSIS
#include <libexplain/ioctl.h>

int explain_ioctl_or_die(int fildes, int request, void *data);

DESCRIPTION
The explain_ioctl_or_die function is used to call the ioctl(2) system call. On failure an explanation will be printed to stderr, obtained from explain_ioctl(3), and then the process terminates by calling exit(EXIT_FAILURE).

This function is intended to be used in a fashion similar to the following example:
    int result = explain_ioctl_or_die(fildes, request, data);

fildes
    The fildes, exactly as to be passed to the ioctl(2) system call.

request
    The request, exactly as to be passed to the ioctl(2) system call.

data
    The data, exactly as to be passed to the ioctl(2) system call.

Returns:
    This function only returns on success, see ioctl(2) for more information. On failure, prints an explanation and exit()s.

SEE ALSO

ioctl(2)
    control device

explain_ioctl(3)
    explain ioctl(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2008 Peter Miller